require 'phi'
require 'rgui/ui'

form = RGUI::Form.new(:form1, 'formです')

btn1 = Phi::Button.new(form, :button1, 'ボタンその1')
btn2 = Phi::Button.new(form, :button2, 'ボタンその2')
btn3 = Phi::Button.new(form, :button3, 'ボタンその3')
btn_vbox = UI::Vbox.new([btn1, btn2, btn3], 5)

lbl1 = Phi::Label.new(form, :label1, 'ラベルその1')
lbl2 = Phi::Label.new(form, :label2, 'ラベルその2')
lbl_hbox = UI::Hbox.new([lbl1, lbl2], 10)

radio1 = Phi::RadioButton.new(form, :radio_btn1, 'ラジオボタンその1')
radio2 = Phi::RadioButton.new(form, :radio_btn2, 'ラジオボタンその2')
radio_hbox = UI::Hbox.new([radio1, radio2], 5)

lbl3 = Phi::Label.new(form, :label3, 'ラベルその3')
speed1 = Phi::SpeedButton.new(form, :speed_btn1, 'スピードボタンその1')
speed1.flat = true
other_hbox = UI::Hbox.new([lbl3, speed1], 5)

vbox = UI::Vbox.new([lbl_hbox, radio_hbox, other_hbox])
hbox = UI::Hbox.new([btn_vbox, vbox])
  
form.add(hbox)
form.on_resize = proc do
  form.layout
end
form.show
Phi.mainloop
